#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
    long long int n;
    cin>>n;
    long long int zarade[n];
    double procenti[n];
    double resenje[n];
    double s=0;
    for (int i=0;i<n;i++)
    {
        cin>>zarade[i]>>procenti[i];
    }
    for (int i=0;i<n;i++)
    {
        s=0;
        for (int j=0;j<n;j++)
        {
            if (procenti[i]<=procenti[j])
            {
                s=s+zarade[j];
            }
        }
        resenje[i]=s*procenti[i]/100;
    }
    double t=resenje[0];
    for (int i=1;i<n;i++)
    {
        if (t<resenje[i])
        {
            t=resenje[i];
        }
    }
    cout<<fixed<<setprecision(4)<<t;
    return 0;
}